<h1 class="mb-5 current-category-name" *ngIf="currentCategory">{{currentCategory.name | uppercaseFirstLetter}}</h1>
<div class="card child-category-list" *ngIf="currentCategory?.children?.length">
  <div class="card-header d-flex align-items-center">
    <span class="flex-grow-1">Categories</span><a class="edit-category-link" routerLink="/categories/edit">Edit</a>
  </div>
  <div class="list-group list-group-flush">
    <ng-container *ngFor="let childCategory of currentCategory?.children">
      <a class="list-group-item child-category" *ngIf="childCategory.id !== OTHER_ID"
         [routerLink]="['/categories', childCategory.id]">
        {{childCategory.name | uppercaseFirstLetter}}
      </a>
      <a class="list-group-item other-category" *ngIf="childCategory.id === OTHER_ID"
         routerLink="other">
        {{childCategory.name | uppercaseFirstLetter}}
      </a>
    </ng-container>
  </div>
</div>
<div class="product-list">
    <app-product-preview *ngFor="let product of currentCategory?.products" class="product"
                         [product]="product"
                         [categoryUrl]="currentCategory.id === OTHER_ID ? '/categories/other' : '/categories/' + currentCategory.id"></app-product-preview>
</div>
<div class="alert alert-primary product-list-empty" *ngIf="!currentCategory?.children?.length && !currentCategory?.products?.length">
  This category not contain products and child categories!
</div>
